Bug 1418786 - [abrt] xfwm4: myDisplayUpdateCurrentTime(): xfwm4 killed by SIGSEGV
Summary: [abrt] xfwm4: myDisplayUpdateCurrentTime(): xfwm4 killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xfwm4
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e837d00471acd5025fe9b99fa13...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-02 17:43 UTC by aten
Modified: 2017-08-08 19:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 19:37:20 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (31.46 KB, text/plain)
2017-02-02 17:43 UTC, aten
no flags Details
File: cgroup (242 bytes, text/plain)
2017-02-02 17:43 UTC, aten
no flags Details
File: core_backtrace (7.13 KB, text/plain)
2017-02-02 17:43 UTC, aten
no flags Details
File: dso_list (8.47 KB, text/plain)
2017-02-02 17:43 UTC, aten
no flags Details
File: environ (1.34 KB, text/plain)
2017-02-02 17:43 UTC, aten
no flags Details
File: exploitable (82 bytes, text/plain)
2017-02-02 17:43 UTC, aten
no flags Details
File: limits (1.29 KB, text/plain)
2017-02-02 17:43 UTC, aten
no flags Details
File: maps (45.33 KB, text/plain)
2017-02-02 17:43 UTC, aten
no flags Details
File: mountinfo (3.74 KB, text/plain)
2017-02-02 17:43 UTC, aten
no flags Details
File: namespaces (102 bytes, text/plain)
2017-02-02 17:43 UTC, aten
no flags Details
File: open_fds (425 bytes, text/plain)
2017-02-02 17:43 UTC, aten
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2017-02-02 17:43 UTC, aten
no flags Details
File: var_log_messages (291 bytes, text/plain)
2017-02-02 17:43 UTC, aten
no flags Details

Description aten 2017-02-02 17:43:23 UTC
Version-Release number of selected component:
xfwm4-4.12.3-3.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        xfwm4 --display :0.0 --sm-client-id 2a93613ff-cc64-4b86-9330-ccf401a43f48
crash_function: myDisplayUpdateCurrentTime
executable:     /usr/bin/xfwm4
global_pid:     8190
kernel:         4.9.6-100.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 myDisplayUpdateCurrentTime at display.c:751
 #1 clientButtonPressEventFilter at client.c:3770
 #2 eventXfwmFilter at event_filter.c:158
 #3 gdk_event_apply_filters at gdkevents-x11.c:371
 #4 gdk_event_translate at gdkevents-x11.c:969
 #5 _gdk_events_queue at gdkevents-x11.c:2358
 #11 gtk_main at gtkmain.c:1268
 #12 clientButtonPress at client.c:3865
 #13 handleButtonPress at events.c:960
 #14 handleEvent at events.c:2202

Potential duplicate: bug 844899

Comment 1 aten 2017-02-02 17:43:28 UTC
Created attachment 1247164 [details]
File: backtrace

Comment 2 aten 2017-02-02 17:43:29 UTC
Created attachment 1247165 [details]
File: cgroup

Comment 3 aten 2017-02-02 17:43:30 UTC
Created attachment 1247166 [details]
File: core_backtrace

Comment 4 aten 2017-02-02 17:43:31 UTC
Created attachment 1247167 [details]
File: dso_list

Comment 5 aten 2017-02-02 17:43:32 UTC
Created attachment 1247168 [details]
File: environ

Comment 6 aten 2017-02-02 17:43:33 UTC
Created attachment 1247169 [details]
File: exploitable

Comment 7 aten 2017-02-02 17:43:34 UTC
Created attachment 1247170 [details]
File: limits

Comment 8 aten 2017-02-02 17:43:35 UTC
Created attachment 1247171 [details]
File: maps

Comment 9 aten 2017-02-02 17:43:36 UTC
Created attachment 1247172 [details]
File: mountinfo

Comment 10 aten 2017-02-02 17:43:37 UTC
Created attachment 1247173 [details]
File: namespaces

Comment 11 aten 2017-02-02 17:43:38 UTC
Created attachment 1247174 [details]
File: open_fds

Comment 12 aten 2017-02-02 17:43:39 UTC
Created attachment 1247175 [details]
File: proc_pid_status

Comment 13 aten 2017-02-02 17:43:40 UTC
Created attachment 1247176 [details]
File: var_log_messages

Comment 14 Kevin Fenzi 2017-02-02 19:41:24 UTC
What were you doing when this happened?

Can you duplicate the crash?

Comment 15 aten 2017-02-02 20:32:06 UTC
(In reply to Kevin Fenzi from comment #14)
> What were you doing when this happened?
> 
> Can you duplicate the crash?

I think I closed LibreOffice writer window, and abrt popped right after. 
I'm trying to repeat the case, but it doesn't happen anymore, so probably can't reproduce.

Comment 16 Fedora End Of Life 2017-07-26 00:14:02 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2017-08-08 19:37:20 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.